body {
	background: steelblue;
	color: white;
	font-family: arial, sans-serif;
}

.container {
	width: 80%;
	margin: 2rem auto;
}

.header {
	text-align: center;
	font-size: 1.3rem;
}

.salvo-grid {
	position: relative;
	width: 90%;
	min-height: 70vh;
	border-spacing: 0px;
	border-collapse: separate;
	text-align: center;
	overflow: hidden;
}

.radar {
	content: '';
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background: rgba(233, 179, 4, 0.596);
	border: 2px solid black;
	z-index: -1;
	border-radius: 50%;
	animation: radar 2000ms infinite forwards linear;
}

@keyframes radar {
	0% {
		transform: scale(0);
	}
	100% {
		transform: scale(1);
	}
}

.salvo-grid td {
	width: 30px;
	border: 1px solid blue;
}

.salvo-grid-head {
	background: rgb(1, 1, 170);
}

.salvo-grid-head tr th {
	border: none;
	margin: 0;
	padding: 0.5rem;
}

.row-head {
	background: rgb(1, 1, 170);
}

td.has-ship {
	background: teal;
}

td.has-salvo {
	box-shadow: 0px 0px 0px 2px red inset;
}

td.has-hit {
	position: relative;
	box-shadow: 0px 0px 5px 3px red inset;
}

td.has-hit::after {
	content: 'HIT';
	color: red;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background: rgba(255, 0, 0, 0.671);
	display: flex;
	justify-content: center;
	align-items: center;
	animation: fire 10000ms ease-in-out infinite forwards;
}

@keyframes fire {
	0% {
		opacity: 0.2;
	}
	20% {
		opacity: 1;
	}
	50% {
		opacity: 0;
	}
	80% {
		opacity: 0;
	}
	100% {
		opacity: 0.2;
	}
}
